package com.loafle.overflow.service.central.infra;

import java.util.List;

import com.loafle.overflow.core.model.PageParams;
import com.loafle.overflow.model.domain.Domain;
import com.loafle.overflow.model.infra.Infra;
import com.loafle.overflow.model.probe.Probe;
import com.loafle.overflow.model.target.Target;

import org.springframework.data.domain.Page;

/**
 * Created by insanity on 17. 6. 28.
 */

public interface InfraService {
  Infra regist(Infra infra);
  Infra read(long id);
  Page<Infra> readAllByProbe(Probe probe, PageParams pageParams);
  Page<Infra> readAllByDomain(Domain domain, PageParams pageParams);
  List<Target> readAllTargetByDomain(Domain domain);
  List<Target> readAllTargetByProbeList(List<Probe> probeList);
  Infra readByTarget(Target target);
}
